Page Menu
Home
GnuPG
Search
Configure Global Search
Log In
Files
F20064831
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Award Token
Size
5 KB
Subscribers
None
View Options
diff --git a/Makefile.am b/Makefile.am
index a6cf9fb5..33700a5e 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -1,90 +1,91 @@
# Makefile.am - Installer for GnuPG 4 Windows Makefile.
# Copyright (C) 2005, 2008, 2012 g10 Code GmbH
#
# This file is part of GPG4Win.
#
# GPG4Win is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# GPG4Win is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.
ACLOCAL_AMFLAGS = -I m4
AUTOMAKE_OPTIONS = dist-bzip2 no-dist-gzip
DISTCHECK_CONFIGURE_FLAGS = --host=i686-w64-mingw32
SUBDIRS = po packages doc src
# find patches -type f | sort | sed 's/$/ \\/' | sed 's/^/ /'
EXTRA_DIST = autogen.sh README.GIT ONEWS \
doc/license-page doc/GPLv3 \
build-aux/git-log-footer build-aux/git-log-fix \
patches/boost/boost-1-fixes.patch \
patches/extra-cmake-modules/0001-Use-BIN_INSTALL_DIR-data-for-DATAROOTDIR-on-Windows.patch \
patches/glib-2.41.5/01-socket.patch \
patches/glib-2.41.5/02-formatsec.patch \
patches/kconfigwidgets/0001-Make-QDbus-optional.patch \
patches/kiconthemes/0001-Make-DBus-optional.patch \
patches/kleopatra/0005-Hack-generated-conf-files-for-Crosscompiling.patch \
patches/kleopatra/fix-qt5.6-build.patch \
patches/kxmlgui/0001-make-qdbus-optional.patch \
patches/kxmlgui/0003-Make-KTextWidgets-optional.patch \
patches/kxmlgui/0004-Cruedly-disable-KSendbugmail.patch \
patches/libgpg-error-1.29/0001-doc-Fix-yat2m-build-for-cross-compilation.patch \
patches/qtbase/config-standardpaths.patch \
patches/qtbase/qtbase-mingw-fixes.patch \
patches/qtbase/relative-paths.patch \
patches/qttools/disable-most-tools.patch \
patches/qtwinextras/support-xp.patch \
patches/w32pth-2.0.5/workaround-broken-libtool.patch \
patches/breeze-icons/0001-Make-binary-icons-cross-compilable.patch \
patches/gpgme-1.13.0/0001-core-w32-glib-Fix-build-of-w32-glib-io.c.patch \
patches/gpgol-2.3.3/0001-Replace-fancy-attribute-by-comment.patch \
- patches/gpgol-2.3.3/0001-Fix-content-type-detection-for-headerless-mails.patch
+ patches/gpgol-2.3.3/0001-Fix-content-type-detection-for-headerless-mails.patch \
+ patches/gpgol-2.3.3/0001-Fix-crash-when-looking-at-messages-without-attachs.patch
copy-news:
cp NEWS doc/website/NEWS.last
copy-release: gpg4win-$(VERSION).tar.bz2 installers/gpg4win-$(VERSION).exe \
installers/gpg4win-light-$(VERSION).exe \
installers/gpg4win-vanilla-$(VERSION).exe
@echo Copying $(VERSION) to $(RELEASEHOST) >&2
@set -e;\
if ssh "$$(echo $(RELEASEHOST)|cut -d: -f -1)" \
test -f "$$(echo $(RELEASEHOST)/gpg4win-$(VERSION).exe|cut -d: -f2-)";\
then echo "This release has already been copied to the server" >&2 ;\
else scp gpg4win-$(VERSION).tar.bz2 \
installers/gpg4win-$(VERSION).exe \
installers/gpg4win-light-$(VERSION).exe \
installers/gpg4win-vanilla-$(VERSION).exe \
installers/gpg4win-src-$(VERSION).exe $(RELEASEHOST)/ ;\
for f in en de ; do \
scp src/README.$$f.txt \
$(RELEASEHOST)/README-$(VERSION).$$f.txt; \
done;\
fi
dist-hook: gen-ChangeLog
gen_start_date = 2012-03-26T00:00:00
.PHONY: gen-ChangeLog
gen-ChangeLog:
set -e; \
if test -d $(top_srcdir)/.git; then \
(cd $(top_srcdir) && \
$(GITLOG_TO_CHANGELOG) --append-dot --tear-off \
--amend=build-aux/git-log-fix \
--since=$(gen_start_date) ) > $(distdir)/cl-t; \
cat $(top_srcdir)/build-aux/git-log-footer >> $(distdir)/cl-t;\
rm -f $(distdir)/ChangeLog; \
mv $(distdir)/cl-t $(distdir)/ChangeLog; \
fi
diff --git a/patches/gpgol-2.3.3/0001-Fix-crash-when-looking-at-messages-without-attachs.patch b/patches/gpgol-2.3.3/0001-Fix-crash-when-looking-at-messages-without-attachs.patch
new file mode 100755
index 00000000..d8fda405
--- /dev/null
+++ b/patches/gpgol-2.3.3/0001-Fix-crash-when-looking-at-messages-without-attachs.patch
@@ -0,0 +1,34 @@
+#! /bin/sh
+patch -p1 -l -f $* < $0
+exit $?
+
+From 20a0f3aa1b347862e4000ecde116ea6c5eec98a9 Mon Sep 17 00:00:00 2001
+From: Andre Heinecke <aheinecke@gnupg.org>
+Date: Wed, 27 Mar 2019 12:53:10 +0100
+Subject: [PATCH] Fix crash when looking at messages without attachs
+
+* src/mapihelp.cpp (mapi_get_first_attach_data): Do not crash
+if message has no attachments.
+---
+ src/mapihelp.cpp | 6 ++++++
+ 1 file changed, 6 insertions(+)
+
+diff --git a/src/mapihelp.cpp b/src/mapihelp.cpp
+index 1b13076..4a4d0e9 100644
+--- a/src/mapihelp.cpp
++++ b/src/mapihelp.cpp
+@@ -488,6 +488,12 @@ mapi_get_first_attach_data (LPMESSAGE message)
+ }
+
+ mapi_attach_item_t *table = mapi_create_attach_table (message, 0);
++ if (!table)
++ {
++ log_debug ("%s:%s: Message has no attachments",
++ SRCNAME, __func__);
++ TRETURN ret;
++ }
+ if (table->end_of_table)
+ {
+ log_debug ("%s:%s: Message has no attachments",
+--
+2.20.1
File Metadata
Details
Attached
Mime Type
text/x-diff
Expires
Sun, Feb 23, 7:37 PM (1 d, 9 h)
Storage Engine
local-disk
Storage Format
Raw Data
Storage Handle
06/03/fc73e911d0a5897188633c329e5d
Attached To
rW Gpg4win
Event Timeline
Log In to Comment